## https://github.com/argoproj/argo-helm/tree/master/charts/argo-cd
## https://github.com/argoproj/argo-helm/blob/master/charts/argo-cd/values.yaml
#
#
## helm repo add argo https://argoproj.github.io/argo-helm
## oc project argocd
## helm repo up
## helm upgrade -n argocd argo-cd argo/argo-cd -f values/argocd.yaml
## Dex
dex:
  serviceAccount:
    annotations:
      serviceaccounts.openshift.io/oauth-redirecturi.argocd: 'https://argocd.okd.uttnetgroup.fr/api/dex/callback'

controller:
  metrics:
    enabled: true
    serviceMonitor:
      enabled: true
    rules:
      enabled: true
      spec:
      - alert: ArgoAppMissing
        expr: |
          absent(argocd_app_info)
        for: 2m
        labels:
          severity: critical
        annotations:
          summary: "[ArgoCD] No reported applications"
          description: >
            ArgoCD has not reported any applications data for the past 2 minutes which
            means that it must be down or not functioning properly.  This needs to be
            resolved for this cloud to continue to maintain state.
      - alert: ArgoReleaseMissing
        expr: |
          argocd_app_info{health_status!="Healthy"} == 1
        for: 5m
        labels:
          severity: critical
        annotations:
          summary: "[ArgoCD] `{{$labels.name}}` en etat non healthy"
          description: >
            ArgoCD a détecté que l'application `{{$labels.name}}` ne fonctionnait plus normalement.
      - alert: ArgoAppNotSynced
        expr: |
          argocd_app_info{sync_status!="Synced"} == 1
        for: 15m
        labels:
          severity: warning
        annotations:
          summary: "[ArgoCD] `{{$labels.name}}` Application not synchronized"
          description: >
            The application `{{$labels.name}}` has not been synchronized for over
            15mn which means that the state of this cloud has drifted away from the
            state inside Git.

## Redis
redis:
  ## Labels to set container specific security contexts
  containerSecurityContext: null
 
  ## Redis Pod specific security context
  securityContext: null
  repository: docker-io-nexus.uttnetgroup.net/library/redis
 
## Server
server:
  ## Additional command line arguments to pass to argocd-server
  ##
  extraArgs:
  - "--insecure"
 
  ## ArgoCD config
  ## reference https://github.com/argoproj/argo-cd/blob/master/docs/operator-manual/argocd-cm.yaml
  configEnabled: true
  config:
    # Argo CD's externally facing base URL (optional). Required when configuring SSO
    url: https://argocd.okd.uttnetgroup.fr
    ui.bannercontent: "Merci d'utiliser les fichiers values présents sur le repo gitlab ungdev/sia/dev/helm-charts. N'activez jamais l'autosync sur vos projets."
    ui.bannerurl: "https://gitlab.com/ungdev/sia/dev/helm-charts/-/tree/main/values"
    ui.bannerpermanent: "true"
    ui.bannerposition: "bottom"
    # Argo CD instance label key
    application.instanceLabelKey: argocd.argoproj.io/instance
    dex.config: |
      connectors:
      - type: openshift
        # Required field for connector id.
        id: openshift
        # Required field for connector name.
        name: OpenShift
        config:
          # OpenShift API
          issuer: https://kubernetes.default.svc
          # Credentials can be string literals or pulled from the environment.
          clientID: "system:serviceaccount:argocd:argocd-dex-server"
          clientSecret: "$openshiftToken"
          redirectURI: https://argocd.okd.uttnetgroup.fr/api/dex/callback
          # Optional: Specify whether to communicate to OpenShift without validating SSL ceertificates
          insecureCA: true
 
  ## ArgoCD rbac config
  ## reference https://github.com/argoproj/argo-cd/blob/master/docs/operator-manual/rbac.md
  rbacConfigCreate: true
  rbacConfig:
    policy.csv: |
      g, okd-cluster_admin, role:admin
      g, okd-read_only, role:readonly

## Argo Configs
configs:
  repositories:
    nexus:
      type: helm
      url: https://sonatype.github.io/helm3-charts/
      name: nexus
    ungdev-git:
      type: git
      name: ungdev-git
      url: https://gitlab.com/ungdev/sia/helm-charts.git
    ungdev:
      name: ungdev
      type: helm
      url: https://nexus.uttnetgroup.net/repository/ungdev-charts/
    bitnami:
      name: bitnami
      type: helm
      url: https://charts.bitnami.com/bitnami
    bootc:
      name: bootc
      type: helm
      url: https://charts.boo.tc
    ceph-csi:
      name: ceph-csi
      type: helm
      url: https://ceph.github.io/csi-charts
    nfs-subdir-external-provisioner: 
      name: nfs-subdir-external-provisioner
      type: helm
      url: https://kubernetes-sigs.github.io/nfs-subdir-external-provisioner/
  secret:
    createSecret: false
  knownHosts:
    data:
      ssh_known_hosts: |
        bitbucket.org ssh-rsa AAAAB3NzaC1yc2EAAAABIwAAAQEAubiN81eDcafrgMeLzaFPsw2kNvEcqTKl/VqLat/MaB33pZy0y3rJZtnqwR2qOOvbwKZYKiEO1O6VqNEBxKvJJelCq0dTXWT5pbO2gDXC6h6QDXCaHo6pOHGPUy+YBaGQRGuSusMEASYiWunYN0vCAI8QaXnWMXNMdFP3jHAJH0eDsoiGnLPBlBp4TNm6rYI74nMzgz3B9IikW4WVK+dc8KZJZWYjAuORU3jc1c/NPskD2ASinf8v3xnfXeukU0sJ5N6m5E8VLjObPEO+mN2t/FZTMZLiFqPWc/ALSqnMnnhwrNi2rbfg/rd/IpL8Le3pSBne8+seeFVBoGqzHM9yXw==
        github.com ssh-rsa AAAAB3NzaC1yc2EAAAABIwAAAQEAq2A7hRGmdnm9tUDbO9IDSwBK6TbQa+PXYPCPy6rbTrTtw7PHkccKrpp0yVhp5HdEIcKr6pLlVDBfOLX9QUsyCOV0wzfjIJNlGEYsdlLJizHhbn2mUjvSAHQqZETYP81eFzLQNnPHt4EVVUh7VfDESU84KezmD5QlWpXLmvU31/yMf+Se8xhHTvKSCZIFImWwoG6mbUoWf9nzpIoaSjB+weqqUUmpaaasXVal72J+UX2B+2RPW3RcT0eOzQgqlJL3RKrTJvdsjE3JEAvGq3lGHSZXy28G3skua2SmVi/w4yCE6gbODqnTWlg7+wC604ydGXA8VJiS5ap43JXiUFFAaQ==
        gitlab.com ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBFSMqzJeV9rUzU4kWitGjeR4PWSa29SPqJ1fVkhtj3Hw9xjLVXVYrU9QlYWrOLXBpQ6KWjbjTDTdDkoohFzgbEY=
        gitlab.com ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIAfuCHKVTjquxvt6CM6tdG4SLp1Btn/nOeHHE5UOzRdf
        gitlab.com ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCsj2bNKTBSpIYDEGk9KxsGh3mySTRgMtXL583qmBpzeQ+jqCMRgBqB98u3z++J1sKlXHWfM9dyhSevkMwSbhoR8XIq/U0tCNyokEi/ueaBMCvbcTHhO7FcwzY92WK4Yt0aGROY5qX2UKSeOvuP4D6TPqKF1onrSzH9bx9XUf2lEdWT/ia1NEKjunUqu1xOB/StKDHMoX4/OKyIzuS0q/T1zOATthvasJFoPrAjkohTyaDUz2LN5JoH839hViyEG82yB+MjcFV5MU3N1l1QL3cVUCh93xSaua1N85qivl+siMkPGbO5xR/En4iEY6K2XPASUEMaieWVNTRCtJ4S8H+9
        ssh.dev.azure.com ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC7Hr1oTWqNqOlzGJOfGJ4NakVyIzf1rXYd4d7wo6jBlkLvCA4odBlL0mDUyZ0/QUfTTqeu+tm22gOsv+VrVTMk6vwRU75gY/y9ut5Mb3bR5BV58dKXyq9A9UeB5Cakehn5Zgm6x1mKoVyf+FFn26iYqXJRgzIZZcZ5V6hrE0Qg39kZm4az48o0AUbf6Sp4SLdvnuMa2sVNwHBboS7EJkm57XQPVU3/QpyNLHbWDdzwtrlS+ez30S3AdYhLKEOxAG8weOnyrtLJAUen9mTkol8oII1edf7mWWbWVf0nBmly21+nZcmCTISQBtdcyPaEno7fFQMDD26/s0lfKob4Kw8H
        vs-ssh.visualstudio.com ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC7Hr1oTWqNqOlzGJOfGJ4NakVyIzf1rXYd4d7wo6jBlkLvCA4odBlL0mDUyZ0/QUfTTqeu+tm22gOsv+VrVTMk6vwRU75gY/y9ut5Mb3bR5BV58dKXyq9A9UeB5Cakehn5Zgm6x1mKoVyf+FFn26iYqXJRgzIZZcZ5V6hrE0Qg39kZm4az48o0AUbf6Sp4SLdvnuMa2sVNwHBboS7EJkm57XQPVU3/QpyNLHbWDdzwtrlS+ez30S3AdYhLKEOxAG8weOnyrtLJAUen9mTkol8oII1edf7mWWbWVf0nBmly21+nZcmCTISQBtdcyPaEno7fFQMDD26/s0lfKob4Kw8H

openshift:
  enabled: true